<div class="transactions-box">
  <div class="transactions-box__title">
    <div class="transactions-box__title--icon">
      <img
        src="../../../../../assets/icons/briefcase.svg"
        alt="briefcase"
        class="icon"
      />
    </div>
    <div class="transactions-box__title--text">
      <h2 class="title title__white">Recent transactions</h2>
    </div>
  </div>
  <div class="transactions-box__body">
    <div class="actions">
      <div class="actions__search">
        <app-input-text
          [onlyNumbers]="false"
          [placeholder]="'Search by typing...'"
        ></app-input-text>
      </div>
      <div class="actions__sort">
        <div class="actions__sort--box">
          <h5 class="h5_bold">Sort by</h5>
        </div>
        <div class="actions__sort--box">
          <app-button [style]="'secondary'"
            >DATE
            <img
              src="../../../../../assets/icons/arrow-down.svg"
              alt="arrow-down"
              class="icon-2"
          /></app-button>
        </div>
        <div class="actions__sort--box">
          <app-button [style]="'secondary'">BENEFICIARY</app-button>
        </div>
        <div class="actions__sort--box">
          <app-button [style]="'secondary'">AMOUNT</app-button>
        </div>
      </div>
    </div>
    <div class="info">
      <app-table></app-table>
    </div>
  </div>
</div>
